#Installation Using Composer (recommended)

If you use Composer to manage dependencies, edit your site's "composer.json"
file as follows.

1. Run `composer require --prefer-dist composer/installers` to ensure that
   you have the "composer/installers" package installed. This package facilitates
   the installation of packages into directories other than "/vendor" (e.g.
   "/libraries") using Composer.

2. Add the following to the "installer-paths" section of "composer.json":

        "libraries/{$name}": ["type:drupal-library"],

3. Add the following to the "repositories" section of "composer.json":

         {
            "type": "package",
            "package": {
                "name": "apache/echarts",
                "version": "5.3.2",
                "type": "drupal-library",
                "extra": {
                    "installer-name": "echarts"
                },
                "dist": {
                    "url": "https://cdn.jsdelivr.net/npm/echarts/dist/echarts.min.js",
                    "type": "file"
                },
                "require": {
                    "composer/installers": "^1.0 || ^2.0"
                }
            }
        }

5. Run
   `composer require --prefer-dist apache/echarts:5.3.2`
   you should find that new directories have been created under "/libraries"
