/**
 * @file
 * JavaScript integration between EChart.js and Drupal.
 */
(function ($) {
  'use strict';
  Drupal.behaviors.chartsECharts = {
    attach: function (context, settings) {
      let contents = new Drupal.Charts.Contents();
      $('.charts-echarts').each(function (param) {
        let chartId = $(this).attr('id');
        $('#' + chartId).once().each(function () {
          let chartObj = document.getElementById(chartId);
          let chart = contents.getData(chartId);
          let options = chart['options'];
          let height = options.height + options.height_units;
          $(this).attr('style', `height:${height};`);
          options.height = 'auto';
          let myChart = echarts.init(chartObj);
          if (options && typeof options === 'object') {
            myChart.setOption(options);
          }
          window.onresize = function() {
            myChart.resize();
          };
          if (chartObj.nextElementSibling && chartObj.nextElementSibling.hasAttribute('data-charts-debug-container')) {
            chartObj.nextElementSibling.querySelector('code').innerText = JSON.stringify(chart, null, ' ');
          }
        });
      });
    }
  };
}(jQuery));
